/*
 * libherdstat -- herdstat/portage/archs.cc
 * $Id: archs.cc 99 2005-11-02 14:00:42Z ka0ttic $
 * Copyright (c) 2005 Aaron Walker <ka0ttic@gentoo.org>
 *
 * This file is part of libherdstat.
 *
 * libherdstat is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * libherdstat is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * libherdstat; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 325, Boston, MA  02111-1257  USA
 */

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include <iterator>
#include <herdstat/portage/archs.hh>

#define ARCH_LIST   "/profiles/arch.list"

namespace herdstat {
namespace portage {
/****************************************************************************/
Archs::Archs()
{
}
/****************************************************************************/
Archs::Archs(const std::string& portdir)
    : util::BaseFile(portdir+ARCH_LIST)
{
    this->read();
}
/****************************************************************************/
void
Archs::init(const std::string& pd)
{
    _portdir.assign(pd);
    this->set_path(_portdir+ARCH_LIST);
    this->open();
    this->read();
}
/****************************************************************************/
void
Archs::do_read()
{
    this->insert(std::istream_iterator<std::string>(this->stream()),
                 std::istream_iterator<std::string>());

    /* so keywords like '-*' are recognized. */
    this->insert("*");
}
/****************************************************************************/
} // namespace portdir
} // namespace herdstat

/* vim: set tw=80 sw=4 et : */
